Bug 1018798 - [abrt] x11vnc-0.9.13-8.fc19: initialize_xdisplay_fb: Process /usr/bin/x11vnc was killed by signal 11 (SIGSEGV) [NEEDINFO]
[abrt] x11vnc-0.9.13-8.fc19: initialize_xdisplay_fb: Process /usr/bin/x11vnc ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: x11vnc (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
abrt_hash:a7af093f6a0fd5753044fa8241f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 08:33 EDT by Marcel Wysocki
Modified: 2015-02-17 12:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:40:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pahan: needinfo?


Attachments (Terms of Use)
File: backtrace (61.58 KB, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details
File: cgroup (142 bytes, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details
File: core_backtrace (861 bytes, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details
File: dso_list (3.33 KB, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details
File: environ (2.68 KB, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details
File: maps (16.78 KB, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details
File: open_fds (398 bytes, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details
File: var_log_messages (298 bytes, text/plain)
2013-10-14 08:33 EDT, Marcel Wysocki
no flags Details

  None (edit)
Description Marcel Wysocki 2013-10-14 08:33:15 EDT
Version-Release number of selected component:
x11vnc-0.9.13-8.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        x11vnc -id 0x5a00003 -bg -quiet -forever -nopw -rfbport 0 -timeout 0 -noxdamage -noxinerama -norc -repeat -speeds dsl -env X11VNC_AVOID_WINDOWS=never -env X11VNC_APPSHARE_ACTIVE=1 -env X11VNC_NO_CHECK_PM=1 -env X11VNC_APPSHARE_TAG=26969-tag -novncconnect -shared -nonap -remote_prefix X11VNC_APPSHARE_CMD: -noquiet -o /tmp/x11vnc-appshare-trackdir-tmp.SEjgyR/0x5a00003.log -connect /tmp/x11vnc-appshare-trackdir-tmp.SEjgyR/0x5a00003.connect
crash_function: initialize_xdisplay_fb
executable:     /usr/bin/x11vnc
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (1 frames)
 #0 initialize_xdisplay_fb at screen.c:2838
Comment 1 Marcel Wysocki 2013-10-14 08:33:19 EDT
Created attachment 811977 [details]
File: backtrace
Comment 2 Marcel Wysocki 2013-10-14 08:33:23 EDT
Created attachment 811978 [details]
File: cgroup
Comment 3 Marcel Wysocki 2013-10-14 08:33:26 EDT
Created attachment 811980 [details]
File: core_backtrace
Comment 4 Marcel Wysocki 2013-10-14 08:33:29 EDT
Created attachment 811982 [details]
File: dso_list
Comment 5 Marcel Wysocki 2013-10-14 08:33:33 EDT
Created attachment 811984 [details]
File: environ
Comment 6 Marcel Wysocki 2013-10-14 08:33:36 EDT
Created attachment 811986 [details]
File: exploitable
Comment 7 Marcel Wysocki 2013-10-14 08:33:39 EDT
Created attachment 811988 [details]
File: limits
Comment 8 Marcel Wysocki 2013-10-14 08:33:42 EDT
Created attachment 811990 [details]
File: maps
Comment 9 Marcel Wysocki 2013-10-14 08:33:44 EDT
Created attachment 811992 [details]
File: open_fds
Comment 10 Marcel Wysocki 2013-10-14 08:33:47 EDT
Created attachment 811993 [details]
File: proc_pid_status
Comment 11 Marcel Wysocki 2013-10-14 08:33:50 EDT
Created attachment 811995 [details]
File: var_log_messages
Comment 12 Pavel Alexeev 2013-10-14 11:05:46 EDT
How to reproduce it?
Comment 13 Fedora End Of Life 2015-01-09 15:14:38 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 12:40:10 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.